@echo off
REM ===========================================================================================
REM
REM AddCDToPhotoCatalogue
REM
REM This batch file catalogues all the JPG images on a CD by creating a thumbnail for each on the hard disk
REM
REM 17 Feb 2010, Anthony Dunk ( http:\\adunk.ozehosting.com )
REM
REM ===========================================================================================
REM
set catalogue=%USERPROFILE%\Desktop\Photo Catalogue\
set bindir=%CD%
set cdpath=
set cdid=
echo.
echo ==============================================================================
echo.
echo Add CD to Photo Catalogue
echo.
echo Written by Anthony Dunk, 2010 ( http://adunk.ozehosting.com )
echo.
echo This program uses ImageMagick to create a thumbnail image in a hard disk
echo catalogue for each JPG image in the selected CD drive folder and all subfolders.
echo.
echo The thumbnails will be stored in the following folder. This folder will be
echo created if it does not already exist:
echo     %catalogue%
echo.
echo ==============================================================================
echo.
echo Please enter the CD drive path to catalogue (e.g. E:\)
set /p cdpath=
if exist "%cdpath%" goto pathok
echo That path does not exist!
echo.
pause
exit

:pathok
echo Please enter the name to use for this CD in the catalogue (e.g. CD1_NOV_2009)
set /p cdid=
if not exist "%catalogue%" mkdir "%catalogue%"
echo.
echo Creating thumbnails for:
pushd "%cdpath%"
set count=0
for /R %%a in (*.jpg) do call "%bindir%\AddPhotoToCatalogue.bat" "%bindir%" "%catalogue%" "%%a" "%cdid%"
popd
echo.
echo %count% thumbnails created.
echo.
pause
